$(document).ready(function(){
	
	// search nav
		$('#mainnav li.search').on('click','a',function(e){
			e.preventDefault();
			$('#mainnav li.search form').toggleClass('show');
		});
		$('#mainnav li.search form').on('click','#bttClose',function(e){
			e.preventDefault();
			$('#mainnav li.search form').removeClass('show');
		});


	// dedicated view in English button
		let hasEnglish	=	$('#mainnav li.flag').is(':visible');
		if(hasEnglish&&lang=='fr'){
			let flagtarget	=	document.getElementsByTagName('h1');
			let flagurl		=	$('#mainnav li.flag a').attr('href');
			let flagbtt		=	document.createElement('a');
			flagbtt.href	=	flagurl;
			flagbtt.classList.add('langswitch','en');
			flagbtt.innerText	=	'View this page in English';
			flagtarget[0].appendChild(flagbtt);
		}

	// popup
		$('#popupcover').delay(2000).fadeIn();
		$('#popupcover').on('click','.close',function(e){
			e.preventDefault();
			$('#popupcover').fadeOut();
		});

	// collapsible
		$('.collapsible').on('click',function(){
			$(this).toggleClass('open');
		});

	// intersection observer
		let homebanner		=	document.querySelector('.bannerbar');
		let innerbanner		=	document.querySelector('.pagebanner');
		let iobsvroptions	=	{
									root:			null
									,rootMargin: 	'50px'
									,threshold: 	1.0
								}
		let iobsvr			=	new IntersectionObserver(scrollPastBanner,iobsvroptions);
		let iobsvrtarget	=	(homebanner)?homebanner:innerbanner;
		iobsvr.observe(iobsvrtarget);
	
});
function scrollPastBanner(entries){
		entries.forEach((entry,i)=>{
			if(entry.isIntersecting){
				$('body').removeClass('scrolledpastheader');
			}
			else{
				$('body').addClass('scrolledpastheader');
			}
		})
}
